import type { ComputedGetter, ComputedRef } from '@vue/reactivity';
import type { MetaObject } from '@nuxt/schema';
declare type Computable<T> = T extends Record<string, any> ? ComputedGetter<T> | {
    [K in keyof T]: T[K] | ComputedRef<T[K]>;
} : T;
/**
 * You can pass in a meta object, which has keys corresponding to meta tags:
 * `title`, `base`, `script`, `style`, `meta` and `link`, as well as `htmlAttrs` and `bodyAttrs`.
 *
 * Alternatively, for reactive meta state, you can pass in a function
 * that returns a meta object.
 */
export declare function useHead(meta: Computable<MetaObject>): void;
/** @deprecated Please use new `useHead` composable instead */
export declare function useMeta(meta: Computable<MetaObject>): void;
export {};
